Bug 1725646 - Bluetooth headset can no longer connect with kernel 5.1.15
Summary: Bluetooth headset can no longer connect with kernel 5.1.15
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-01 08:00 UTC by Alvin
Modified: 2019-07-19 03:06 UTC (History)
17 users (show)

Fixed In Version: kernel-5.1.17-300.fc30 kernel-5.1.18-200.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-15 00:56:43 UTC
Type: Bug


Attachments (Terms of Use)
3x booted. First 2 with kernel 5.1.15, last one with kernel 5.1.12 (385.37 KB, text/plain)
2019-07-01 08:00 UTC, Alvin
no flags Details

Description Alvin 2019-07-01 08:00:17 UTC
Created attachment 1586162 [details]
3x booted. First 2 with kernel 5.1.15, last one with kernel 5.1.12

1. Please describe the problem:
Bluetooth headset no longer connects with kernel 5.1.15
It works when rebooting with older kernel 5.1.12

A bluetooth mouse is also connected, but works fine with both kernels.

Comment 1 Jeremy Cline 2019-07-01 14:42:49 UTC
Hi,

I'm guessing what you're hitting is https://bugzilla.kernel.org/show_bug.cgi?id=203997. Could you test the kernel build at https://koji.fedoraproject.org/koji/taskinfo?taskID=35982929 when it completes? It includes the patch mentioned in the kernel bugzilla. Thanks!

Comment 2 Alvin 2019-07-12 11:29:32 UTC
I tested that kernel build and can confirm that this patch works.
(It's not yet in 5.1.16)

Comment 3 Fedora Update System 2019-07-12 12:44:18 UTC
FEDORA-2019-20b9691305 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-20b9691305

Comment 4 Fedora Update System 2019-07-12 12:44:42 UTC
FEDORA-2019-652cbd5ec1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-652cbd5ec1

Comment 5 Fedora Update System 2019-07-15 00:56:43 UTC
kernel-5.1.17-300.fc30, kernel-headers-5.1.17-300.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-07-16 13:23:14 UTC
FEDORA-2019-a95015e60f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a95015e60f

Comment 7 Fedora Update System 2019-07-17 02:06:16 UTC
kernel-5.1.18-200.fc29, kernel-headers-5.1.18-200.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a95015e60f

Comment 8 Fedora Update System 2019-07-19 03:06:53 UTC
kernel-5.1.18-200.fc29, kernel-headers-5.1.18-200.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.